For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

🗒️Session List

This step shows you how to list all the sessions you have created using GroupsAPI.

Example below shows an example code block showing how to pull the session list:

curl --location 'https://<DOMAIN>/xapi/session' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--data ''
from perculus_sdk.client import APIClient

# API client
client = APIClient()
...

# List sessions 
sessions = client.sessions.list_sessions()
print(sessions)
// ASAP :)
import APIClient from "perculus-sdk"

// API client
const client = new APIClient()
...

// List sessions 
const sessions = client.sessions.listSessions()
console.log(sessions)

Below shows an example response:

[
    {
        "session_id": "<SESSION_ID>",
        "name": "test session",
        "description": "",
        "tags": "",
        "start_date": "2024-09-25T14:00:25.699+03:00",
        "timezone": "Europe/Istanbul",
        "duration": 10,
        "lang": "tr-TR",
        "status": 1,
        "replay_status": 0,
        "options": {
            "allow_rating": true,
            "preparation_time": 15,
            "session_duration": 60,
            "chat": {
                "offMessageModule": false,
                "offGeneralMsging": false,
                "offGeneralMsgLimitForUser": false,
                "offSpecialMsging": false,
                "offSpecialMsgToAdmin": false,
                "offSpecialMsgToUser": false,
                "offNewMsgSound": false,
                "offClearForReplay": false,
                "onNewMsgSoundInAll": false,
                "onNewMsgNotifyInAll": false
            },
            "duration": {
                "allowExtendTime": true,
                "useRemainingTime": false
            },
            "allow_users_stream_self_cam_mic": true,
            "hide_user_streams": false,
            "enable_attendance_check": false,
            "enable_simultaneous_interpretation": false,
            "enable_simultaneous_interpretation_for_users": false,
            "start_active": false,
            "return_url": ""
        },
        "creation_date": "2024-08-08T10:05:58.663361+00:00",
        "updating_date": null
    }
]

Last updated